Page MenuHomePhabricator

Package and test Zotero for Jessie
Closed, DeclinedPublic

Description

We are upgrading the SCA cluster to Debian Jessie, so we need to get Zotero ready.

  • Package XULRunner 29.0 for Jessie
  • Test Zotero in Jessie

Event Timeline

mobrovac created this task.Jul 29 2015, 4:14 PM
mobrovac raised the priority of this task from to High.
mobrovac updated the task description. (Show Details)
mobrovac added subscribers: mobrovac, Joe, akosiaris.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJul 29 2015, 4:14 PM
Mvolz moved this task from Backlog to Production on the Citoid board.Aug 8 2015, 1:31 PM
mobrovac lowered the priority of this task from High to Low.Feb 6 2016, 12:50 AM
mobrovac set Security to None.
akosiaris closed this task as Declined.Oct 4 2016, 9:26 AM

I 'll decline this. XULrunner is not present in Jessie and will never be. The project no longer receives any updates in general and is considered defunct. There is little point in us porting the software to Jessie. Unfortunately this means Zotero will not be possible to be ported to Jessie. We 've discussed this extensively in the past and we should be making an effort to port the zotero translators to citoid.

Restricted Application added a project: VisualEditor. · View Herald TranscriptOct 4 2016, 9:26 AM
Mvolz added a subscriber: Mvolz.Oct 4 2016, 11:17 AM

Relevant discussion here: https://phabricator.wikimedia.org/T93579

I believe it was decided not to rewrite Zotero core functions in Node
because Zotero is switching to Electron. But that might be several years
out.

I believe it was decided not to rewrite Zotero core functions in Node
because Zotero is switching to Electron. But that might be several years
out.

Was this actually decided, or was it just left on hold pending further information about the rewrite? In any case, if the rewrite / port timeline is that long term, then we probably want to revisit seriously tackling T93579. Could you follow up there with the latest information?

Mvolz added a comment.Oct 4 2016, 6:42 PM

I believe it was decided not to rewrite Zotero core functions in Node
because Zotero is switching to Electron. But that might be several years
out.

Was this actually decided, or was it just left on hold pending further information about the rewrite? In any case, if the rewrite / port timeline is that long term, then we probably want to revisit seriously tackling T93579. Could you follow up there with the latest information?

I guess it wasn't! That was just the impression I got from you lot, so you'd be the authority on that :). I don't really have any latest information, except that 5.0 is now in beta, and there's a 5.1 update planned with some field /data structure changes, still with the old architecture. I don't know what their timeline is beyond that. I'll ask.